<?php

//USING
require_once 'controls/verifylogin.php';
require_once('Connections/paivaconex.php'); 
require_once('funcoes.php'); 


//Filtros de Select

$Result1 ='WHERE  mfin_Recebimentos.Id=0';

if ((isset($_POST["MM_insert"])) && ($_POST["MM_insert"] == "form2")) {
  
	if ($_POST['rec_recebimento_min'] != "") { $quando[] = "Recebimento >= '".convertdata($_POST['rec_recebimento_min'])."'"; }
	if ($_POST['rec_recebimento_max'] != "") { $quando[] = "Recebimento <= '".convertdata($_POST['rec_recebimento_max'])."'"; }
	if ($_POST['rec_vencimento_min'] != "") { $quando[] = "Vencimento >= '".convertdata($_POST['rec_vencimento_min'])."'"; }
	if ($_POST['rec_vencimento_max'] != "") { $quando[] = "Vencimento <= '".convertdata($_POST['rec_vencimento_max'])."'"; }
	if ($_POST['rec_emissao_min'] != "") { $quando[] = "Emissao >= '".convertdata($_POST['rec_emissao_min'])."'"; }
	if ($_POST['rec_emissao_max'] != "") { $quando[] = "Emissao <= '".convertdata($_POST['rec_emissao_max'])."'"; }
	if ($_POST['cli_nome'] != "") { $quando[] = "mfin_Clientes.NomeFantasia LIKE '%".$_POST['cli_nome']."%'"; }
	if ($_POST['rec_n_fatura'] != "") { $quando[] = "NumeroNota LIKE '%".$_POST['rec_n_fatura']."%'"; }
	
	if ($_POST['vb_min'] != "") { $quando[] = "Valor >= '".numerobrasil($_POST['vb_min'])."'"; }
	if ($_POST['vb_max'] != "") { $quando[] = "Valor <= '".numerobrasil($_POST['vb_max'])."'"; }
  
                      

	if (isset($quando)){  
  $Result1 = "WHERE ".implode( " AND ", $quando);
	}else{
		$Result1= '';}
	
}



//Select
mysql_select_db($database_paivaconex, $paivaconex);
$query_clientes = "Select Valor As vl, mfin_Recebimentos.Id AS rec_id, mfin_Clientes.NomeFantasia AS cli_nome, 
mfin_Pastas.Numero as pasta, Forma, if(isnull(Recebimento),'',DATE_FORMAT(Recebimento, '%d/%m/%Y')) as dt_rec, 
mfin_Recebimentos.Tipo as Tipo from mfin_Recebimentos
Inner Join mfin_Clientes ON Cliente_Id = mfin_Clientes.Id
Left Join mfin_pastas ON Pasta_Id = mfin_Pastas.Id
".$Result1;
$clientes = mysql_query($query_clientes, $paivaconex) or die(mysql_error());
$row_clientes = mysql_fetch_assoc($clientes);
$totalRows_clientes = mysql_num_rows($clientes);





?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head>

<title>Módulo Financeiro</title>

<?php include_once('controls/import.php'); ?>

</head>
<body>

<?php include_once('controls/header.php'); ?>

<div class="content">

<div class="form"><?php include_once('controls/menu.php'); ?>

<div id="conteudo-site">

<div class="titulo-conteudo-site"><img src="images/applications.png"
	title="" alt="" /> Recebimentos</div>

<div class="pg-botoes" style="float: right;"><a
	href="cadrecebimentos.php" class="submit"> cadastrar </a></div>
    
    <form action="recebimentos2.php" method="post" name="form2" id="form2">
        <table align="center">
          <tr>
            <td width="91">Recebimento:</td>
            <td width="292">De:
              <label for="rec_recebimento_min"></label>
            <input type="text" name="rec_recebimento_min" id="rec_recebimento_min" /></td>
            <td width="290">Ate:
              <label for="rec_recebimento_max"></label>
            <input type="text" name="rec_recebimento_max" id="rec_recebimento_max" /></td>
          </tr>
          <tr>
            <td>Vencimento:</td>
            <td>De:
            <input type="text" name="rec_vencimento_min" id="rec_vencimento_min" /></td>
            <td>Ate:
            <input type="text" name="rec_vencimento_max" id="rec_vencimento_max" /></td>
          </tr>
          <tr>
            <td>Emiss&atilde;o:</td>
            <td>De:
            <input type="text" name="rec_emissao_min" id="rec_emissao_min" /></td>
            <td>Ate:
            <input type="text" name="rec_emissao_max" id="rec_emissao_max" /></td>
          </tr>
          <tr>
            <td>Cliente:</td>
            <td colspan="2"><label for="cli_nome"></label>
            <input name="cli_nome" type="text" id="cli_nome" size="80" /></td>
          </tr>
          <tr>
            <td>NF</td>
            <td colspan="2"><input name="rec_n_fatura" type="text" id="rec_n_fatura" size="80" /></td>
          </tr>
          <tr>
            <td>Valor Bruto</td>
            <td>De:
            <input type="text" name="vb_min" id="vb_min" /></td>
            <td>Ate:
            <input type="text" name="vb_max" id="vb_max" /></td>
          </tr>
        </table>
        <p>
          <input type="submit" name="pesquisa" id="pesquisa" value="Pesquisar" />
        </p>
        <p>&nbsp;</p>
        <input type="hidden" name="MM_insert" value="form2" />
      </form>

<br clear="all" />
<table border="0" cellpadding="3" cellspacing="0"
	class="gridPesquisa fundoGridPesquisa" width="100%">
	<tr>
		<th>Id</th>
		<th>Cliente</th>
		<th>Pasta</th>
		<th>Tipo</th>
		<th>Forma</th>
		<th>Valor</th>
		<th>Data Recebimento</th>
		<th></th>
	</tr>

	<?php

	do {

		echo "<tr>";
		echo "<td> <a href='cadrecebimentos.php?id=".$row_clientes['rec_id']."'> ".$row_clientes['rec_id']." </a></td>";
		echo "<td> <a href='cadrecebimentos.php?id=".$row_clientes['rec_id']."'> ".$row_clientes['cli_nome']." </a></td>";
		echo "<td> <a href='cadrecebimentos.php?id=".$row_clientes['rec_id']."'> ".$row_clientes['pasta']." </a></td>";
		echo "<td> <a href='cadrecebimentos.php?id=".$row_clientes['rec_id']."'> ".$row_clientes['Tipo']." </a></td>";
		echo "<td> <a href='cadrecebimentos.php?id=".$row_clientes['rec_id']."'> ".$row_clientes['Forma']." </a></td>";
		echo "<td> <a href='cadrecebimentos.php?id=".$row_clientes['rec_id']."'> ".number_format($row_clientes['vl'],2,',','.')." </a></td>";
		echo "<td> <a href='cadrecebimentos.php?id=".$row_clientes['rec_id']."'> ".$row_clientes['dt_rec']." </a></td>";
		echo "<td> <a href='recebimentos.php?del=".$row_clientes['rec_id']."' onclick='return DeleteItem();'> <img src='images/ico-minus.png' /> </a> </td>";
		echo "</tr>";
	} while ($row_clientes = mysql_fetch_assoc($clientes));

	?>
</table>
</div>

</div>

</div>

	<?php include_once('controls/footer.php'); ?>

</body>
</html>
